aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBruce Dubbs <bdubbs@linuxfromscratch.org>2011-09-22 15:13:58 +0000
committerBruce Dubbs <bdubbs@linuxfromscratch.org>2011-09-22 15:13:58 +0000
commit620c6d09e7d7154c1b6380adbdb00847175a2727 (patch)
tree7b71da2aa5577faf279c85ebef455ad5b29cc0ad
parentddfba10adbaae531d16b110ee713d1bbb4632657 (diff)
Fixes to console script
git-svn-id: http://svn.linuxfromscratch.org/LFS/trunk/BOOK@9601 4aa44e1e-78dd-0310-a6d2-fbcd4c07a689
-rw-r--r--bootscripts/lfs/init.d/console6
-rw-r--r--chapter01/changelog.xml9
-rw-r--r--general.ent4
-rw-r--r--packages.ent2
4 files changed, 15 insertions, 6 deletions
diff --git a/bootscripts/lfs/init.d/console b/bootscripts/lfs/init.d/console
index f3b3a51e3..8740bec4f 100644
--- a/bootscripts/lfs/init.d/console
+++ b/bootscripts/lfs/init.d/console
@@ -39,8 +39,8 @@ function is_true()
# See if we need to do anything
if [ -z "${KEYMAP}" ] && [ -z "${KEYMAP_CORRECTIONS}" ] &&
- [ -z "${FONT}" ] && [ is_true "${UNICODE}" ] &&
- [ -z "${LEGACY_CHARSET}" ]; then
+ [ -z "${FONT}" ] && [ -z "${LEGACY_CHARSET}" ] &&
+ is_true "${UNICODE}"; then
exit 0
fi
@@ -80,7 +80,7 @@ case "${1}" in
done
# Set the font (if not already set above) and the keymap
- [ "${use_fb}" == "1" || [ -z "${FONT}" ] || setfont $FONT || failed=1
+ [ "${use_fb}" == "1" ] || [ -z "${FONT}" ] || setfont $FONT || failed=1
[ -z "${KEYMAP}" ] ||
loadkeys ${KEYMAP} >/dev/null 2>&1 ||
diff --git a/chapter01/changelog.xml b/chapter01/changelog.xml
index 0565ccb02..00b00df8d 100644
--- a/chapter01/changelog.xml
+++ b/chapter01/changelog.xml
@@ -40,6 +40,15 @@
<para>2011-09-21</para>
<itemizedlist>
<listitem>
+ <para>[bdubbs] - Updates to lfs-bootscripts console script.</para>
+ </listitem>
+ </itemizedlist>
+ </listitem>
+
+ <listitem>
+ <para>2011-09-21</para>
+ <itemizedlist>
+ <listitem>
<para>[bdubbs] - Updates to lfs-bootscripts Makefile.</para>
</listitem>
</itemizedlist>
diff --git a/general.ent b/general.ent
index dabf411b1..e6e3536ce 100644
--- a/general.ent
+++ b/general.ent
@@ -1,5 +1,5 @@
-<!ENTITY version "SVN-20110921">
-<!ENTITY releasedate "Sep 21, 2011">
+<!ENTITY version "SVN-20110922">
+<!ENTITY releasedate "Sep 22, 2011">
<!ENTITY copyrightdate "1999-2011"><!-- jhalfs needs a literal dash, not &ndash; -->
<!ENTITY milestone "7.0">
<!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->
diff --git a/packages.ent b/packages.ent
index b4ebcc6a1..e7498476d 100644
--- a/packages.ent
+++ b/packages.ent
@@ -298,7 +298,7 @@
<!ENTITY less-ch6-du "3.5 MB">
<!ENTITY less-ch6-sbu "less than 0.1 SBU">
-<!ENTITY lfs-bootscripts-version "20110921"> <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20110922"> <!-- Scripts depend on this format -->
<!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB"> <!-- Updated in Makefile -->
<!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
<!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM"> <!-- Updated in Makefile -->